# tcp_listen.h File Reference

Basic functions to listen for TCP connections. More...

`#include "tcp.h"`
`#include "../network.h"`
`#include "../../core/pool_type.hpp"`
`#include "../../debug.h"`
`#include "table/strings.h"`

Go to the source code of this file.

## Data Structures
class | TCPListenHandler< Tsocket, Tfull_packet, Tban_packet >
| Template for TCP listeners. More...

## Detailed Description

Basic functions to listen for TCP connections.

Definition in file tcp_listen.h.